Subject: Re: linux-next: build failure after merge of the battery tree

From: Stephen Rothwell <[email-masked]>
Date: Sat, 29 Jun 2019 10:33:17 +1000

Hi Enric,

On Fri, 28 Jun 2019 18:56:56 +0200 Enric Balletbo i Serra <[email-masked]> wrote:
>
> Hmm, I just applied this patch on top of linux-next and it build with
> allmodconfig on x86_64
> 
> I am wondering if the build was done without this commit, which is in
> chrome-platform for-next branch. Could be this the problem?
> 
> commit 0c0b7ea23aed0b55ef2f9803f13ddaae1943713d
> Author: Nick Crews <[email-masked]>
> Date:   Wed Apr 24 10:56:50 2019 -0600
> 
>     platform/chrome: wilco_ec: Add property helper library

Exactly since I merge the battery tree before the chrome-platform
tree ... Cross tree dependencies are a pain.

> Anyway, I think the proper way to do it is create an immutable branch for
> Sebastian as the patch he picked depends on the above commit. I'll create one,
> sorry about that missing dependency.

Thanks.

-- 
Cheers,
Stephen Rothwell